"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Fluid = _interopRequireDefault(require("./Fluid"));

var _default = ({
  type,
  pathPrefix,
  getNodeAndSavePathDependency,
  reporter,
  ...otherProps
}, {
  cloudName,
  apiKey,
  apiSecret
}) => {
  if (type.name !== `ImageCloudinary`) {
    return {};
  }

  const cloudinaryConfig = {
    cloud_name: cloudName,
    api_key: apiKey,
    api_secret: apiSecret
  };
  const nodeOptions = {
    pathPrefix,
    getNodeAndSavePathDependency,
    reporter,
    cloudinaryConfig
  };
  return {
    fluid: (0, _Fluid.default)(nodeOptions)
  };
};

exports.default = _default;